import 'package:xpx_chain_sdk/xpx_sdk.dart';

void main() async {
  const baseUrl = 'http://bctestnet2.brimstone.xpxsirius.io:3000';

  /// Creating a client instance
  final client = SiriusClient.fromUrl(baseUrl, null);

  try {
    final result = await client.blockChain.getBlockchainHeight();
    print(result);
  } on Exception catch (e) {
    print('Exception when calling BlockChain->getBlockchainHeight: $e\n');
  }

  try {
    final result = await client.blockChain.getBlockByHeight(4993716);
    print(result);
  } on Exception catch (e) {
    print('Exception when calling BlockChain->GetBlockByHeight: $e\n');
  }

  try {
    final result = await client.blockChain.getBlockchainScore();
    print(result);
  } on Exception catch (e) {
    print('Exception when calling BlockChain->GetBlockchainScore: $e\n');
  }

  try {
    final result = await client.blockChain.getBlocksByHeightWithLimit(1, 25);
    print(result);
  } on Exception catch (e) {
    print(
        'Exception when calling BlockChain->GetBlocksByHeightWithLimit: $e\n');
  }

  try {
    final result = await client.blockChain.getBlockTransactions(1);
    print(result);
  } on Exception catch (e) {
    print('Exception when calling BlockChain->getBlockTransactions: $e\n');
  }
}
