part of xpx_chain_sdk.api;

class NodeRoutesApi {
  NodeRoutesApi(this._apiClient);

  final _ApiClient _apiClient;

  /// Get the node information
  ///
  /// Supplies additional information about the application running on a node.
  Future<NodeInfo?> getNodeInfo() async {
    // create path and map variables
    final String path = '/node/info'.replaceAll('{format}', 'json');

    final response = await _apiClient.get(path);

    if (response.statusCode! >= 400) {
      throw ApiException(response.statusCode!, response.data);
    } else if (response.data != null) {
      return _apiClient.deserialize(response.data, 'NodeInfo');
    } else {
      return null;
    }
  }

  /// Get the node time
  ///
  /// Supplies additional information about the application running on a node.
  Future<NodeTime?> getNodeTime() async {
    // create path and map variables
    final String path = '/node/time'.replaceAll('{format}', 'json');

    final response = await _apiClient.get(path);

    if (response.statusCode! >= 400) {
      throw ApiException(response.statusCode!, response.data);
    } else if (response.data != null) {
      return _apiClient.deserialize(response.data, 'NodeTime');
    } else {
      return null;
    }
  }
}
